[Python-apps-commits] r8377 - in packages/autokey/trunk/debian (4 files)
adejong at users.alioth.debian.org
adejong at users.alioth.debian.org
Sun Mar 25 13:09:52 UTC 2012
Date: Sunday, March 25, 2012 @ 13:09:50
Author: adejong
Revision: 8377
* Use set -e instead of passing -e to shell (fixes lintian warnings).
Modified:
packages/autokey/trunk/debian/autokey-gtk.postinst
packages/autokey/trunk/debian/autokey-gtk.prerm
packages/autokey/trunk/debian/autokey-qt.postinst
packages/autokey/trunk/debian/autokey-qt.prerm
Modified: packages/autokey/trunk/debian/autokey-gtk.postinst
===================================================================
--- packages/autokey/trunk/debian/autokey-gtk.postinst 2012-03-25 13:03:29 UTC (rev 8376)
+++ packages/autokey/trunk/debian/autokey-gtk.postinst 2012-03-25 13:09:50 UTC (rev 8377)
@@ -1,9 +1,10 @@
-#!/bin/sh -e
+#!/bin/sh
+set -e
+
update-alternatives --install /usr/bin/autokey autokey \
/usr/bin/autokey-gtk 50 \
--slave /usr/share/man/man1/autokey.1.gz autokey.1.gz \
/usr/share/man/man1/autokey-gtk.1.gz
#DEBHELPER#
-
Modified: packages/autokey/trunk/debian/autokey-gtk.prerm
===================================================================
--- packages/autokey/trunk/debian/autokey-gtk.prerm 2012-03-25 13:03:29 UTC (rev 8376)
+++ packages/autokey/trunk/debian/autokey-gtk.prerm 2012-03-25 13:09:50 UTC (rev 8377)
@@ -1,5 +1,7 @@
-#!/bin/sh -e
+#!/bin/sh
+set -e
+
case "$1" in
remove|deconfigure)
update-alternatives --remove autokey /usr/bin/autokey-gtk
@@ -9,4 +11,3 @@
#DEBHELPER#
exit 0
-
Modified: packages/autokey/trunk/debian/autokey-qt.postinst
===================================================================
--- packages/autokey/trunk/debian/autokey-qt.postinst 2012-03-25 13:03:29 UTC (rev 8376)
+++ packages/autokey/trunk/debian/autokey-qt.postinst 2012-03-25 13:09:50 UTC (rev 8377)
@@ -1,9 +1,10 @@
-#!/bin/sh -e
+#!/bin/sh
+set -e
+
update-alternatives --install /usr/bin/autokey autokey \
/usr/bin/autokey-qt 60 \
--slave /usr/share/man/man1/autokey.1.gz autokey.1.gz \
/usr/share/man/man1/autokey-qt.1.gz
#DEBHELPER#
-
Modified: packages/autokey/trunk/debian/autokey-qt.prerm
===================================================================
--- packages/autokey/trunk/debian/autokey-qt.prerm 2012-03-25 13:03:29 UTC (rev 8376)
+++ packages/autokey/trunk/debian/autokey-qt.prerm 2012-03-25 13:09:50 UTC (rev 8377)
@@ -1,5 +1,7 @@
-#!/bin/sh -e
+#!/bin/sh
+set -e
+
case "$1" in
remove|deconfigure)
update-alternatives --remove autokey /usr/bin/autokey-qt
@@ -9,4 +11,3 @@
#DEBHELPER#
exit 0
-
More information about the Python-apps-commits
mailing list